Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040191
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Retail Modules] Web POSmajoralways2019-02-11 18:312019-03-05 17:31
ReporteraaroncaleroView Statuspublic 
Assigned Torqueralta 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisionc4f8121f3070
ProjectionnoneETAnoneTarget VersionRR19Q1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tojorge-garcia
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040191: Closed Invoice template is no longer used when reprinting invoices in Web POS

DescriptionClosed Invoice template is no longer used when reprinting invoices in Web POS. When an invoice is printed, the Closed Receipt template is used.
Steps To ReproduceLogin in Web POS
Create a new ticket
Go to the menu and click on Invoice this receipt
Add a product to the ticket
Pay and complete the receipt.
Load the receipt again.
Go to the menu > Print this receipt
Select the invoice and click on Print Invoices
Verify on the Network tab of devtools that the printclosedreceipt.xml file has been requested, instead of printclosedinvoice.xml
Proposed SolutionWhen a ticket is printed, the code looks for an isInvoice flag to see if the printed model is an invoice.
This flag only exists when an invoice is generated for the first time (during the synchronization of the receipt).

When the OpenInvoices process is called to load the invoices to be printed, and the invoice models are generated, the isInvoice flag needs to be set.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0040181 closedrqueralta Closed Invoice template is no longer used when reprinting invoices in Web POS 

-  Notes
(0110194)
hgbot (developer)
2019-03-04 15:00

Repository: retail/backports/3.0RR19Q1/org.openbravo.retail.posterminal
Changeset: c4f8121f30707fed7a68ebb2d5bdb8bfb133020a
Author: Rafael Queralta <rafaelcuba81 <at> gmail.com>
Date: Mon Mar 04 08:59:44 2019 -0500
URL: http://code.openbravo.com/retail/backports/3.0RR19Q1/org.openbravo.retail.posterminal/rev/c4f8121f30707fed7a68ebb2d5bdb8bfb133020a [^]

Fixed issue 40191: Closed Invoice template is no longer used when reprinting
invoices in Web POS

- isInvoice property was seted into OpenInvoices process

---
M web/org.openbravo.retail.posterminal/js/components/modalinvoices.js
---
(0110238)
jorge-garcia (developer)
2019-03-05 17:31

Code reviewed and tested

- Issue History
Date Modified Username Field Change
2019-02-13 15:32 marvintm Type defect => backport
2019-02-13 15:32 marvintm Target Version => RR19Q1
2019-03-04 15:00 hgbot Checkin
2019-03-04 15:00 hgbot Note Added: 0110194
2019-03-04 15:00 hgbot Status scheduled => resolved
2019-03-04 15:00 hgbot Resolution open => fixed
2019-03-04 15:00 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/a67707bed965a7471bd4277a2e21d56058f7f3cd [^] => http://code.openbravo.com/retail/backports/3.0RR19Q1/org.openbravo.retail.posterminal/rev/c4f8121f30707fed7a68ebb2d5bdb8bfb133020a [^]
2019-03-05 17:31 jorge-garcia Review Assigned To => jorge-garcia
2019-03-05 17:31 jorge-garcia Note Added: 0110238
2019-03-05 17:31 jorge-garcia Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker